Bug 25693 - Correct permissions must be set on logdir after an upgrade
Summary: Correct permissions must be set on logdir after an upgrade
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Jonathan Druart
QA Contact: Martin Renvoize
URL:
Keywords:
Depends on: 25284
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-08 12:13 UTC by Jonathan Druart
Modified: 2020-11-30 21:52 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07


Attachments
Bug 25693: Set correct permissions on logdir after an upgrade (1.32 KB, patch)
2020-06-08 12:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25693: Set correct permissions on logdir after an upgrade (1.38 KB, patch)
2020-06-08 13:11 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 25693: Set correct permissions on logdir after an upgrade (1.44 KB, patch)
2020-06-08 13:44 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2020-06-08 12:13:48 UTC

    
Comment 1 Jonathan Druart 2020-06-08 12:15:56 UTC
Created attachment 105640 [details] [review]
Bug 25693: Set correct permissions on logdir after an upgrade

Since bug 25172 we are failing loudly if the permissions are not correct
and that the logger cannot init successfully.

We must set the correct permission on upgrading.
koha-create deals with new installs
Comment 2 Jonathan Druart 2020-06-08 12:26:52 UTC
Upping severity as it impacts stable release upgrades
Comment 3 Tomás Cohen Arazi 2020-06-08 13:11:17 UTC
Extracted the code snippet and tested it on its own.
Works as expected.
Comment 4 Tomás Cohen Arazi 2020-06-08 13:11:58 UTC
Created attachment 105642 [details] [review]
Bug 25693: Set correct permissions on logdir after an upgrade

Since bug 25172 we are failing loudly if the permissions are not correct
and that the logger cannot init successfully.

We must set the correct permission on upgrading.
koha-create deals with new installs

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Martin Renvoize 2020-06-08 13:44:19 UTC
Created attachment 105644 [details] [review]
Bug 25693: Set correct permissions on logdir after an upgrade

Since bug 25172 we are failing loudly if the permissions are not correct
and that the logger cannot init successfully.

We must set the correct permission on upgrading.
koha-create deals with new installs

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2020-06-08 13:45:03 UTC
Built a package and trialled an upgrade.. worked as expected for me.. Passing QA
Comment 7 Jonathan Druart 2020-06-12 12:17:56 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-06-16 22:36:43 UTC
backported to 20.05.x for 20.05.01
Comment 9 Aleisha Amohia 2020-06-17 00:22:47 UTC
backported to 19.11.x for 19.11.07
Comment 10 Victor Grousset/tuxayo 2020-06-18 16:46:45 UTC
Won't backport to 19.05.x, log4perl wasn't in koha-common.postinst back then.